org.apache.bcel.generic

## Class FASTORE

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.ArrayInstruction
    - - org.apache.bcel.generic.FASTORE

- All Implemented Interfaces:
    Cloneable, ExceptionThrower, StackConsumer, TypedInstruction

      public class FASTORE
      extends ArrayInstruction
      implements StackConsumer

  FASTORE - Store into float array

      Stack: ..., arrayref, index, value -> ...

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FASTORE()` Store float into array

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).

    - ### Methods inherited from class org.apache.bcel.generic.ArrayInstruction

      `getExceptions, getType`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### FASTORE

          public FASTORE()

      Store float into array

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.